Subject: Re: bug#56256: Emacs 28.1 gets stuck when typing some C++ code

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 28 Jun 2022 14:52:48 +0200

Iru Cai <[email-masked]> writes:

> 1. create a C++ source file with this code and open it with Emacs, if
> the file doesn't have a C++ source suffix, enable c++mode
>
> 2. type the '&' symbol at the last line after "defer_func(["
>
> 3. then Emacs gets stuck
>
> I can see this bug in Emacs 28.1 and git revision
> 5b1bb1af030597aab7f7895b6e3da9b430f9438a. I've also tried ``emacs -Q``
> and ``emacs -Q -nw``, the bug still exists.

Yup -- I can reproduce this on the current trunk, too -- and it hangs
Emacs hard: I have to kill Emacs after typing that "&".

I'm adding Alan to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no